

const ИМЯ = "Основа Главреда | Glavred's Base";


// // // //


ОчиститьОтображениеВыбораВМеню = мир =>
{
    // Уровень разделов меню.
    $(`#${мир.макет.константы.меню}`).children().each(function() {
        // Уровень пунктов меню каждого раздела
        // Заголовок раздела тоже присутствует.
        $(this).children().each(function() {
            $(this).removeClass("uk-active");
        })
    })
};


// // // //


ЗадатьЗаголовокВкладкиБраузера = мир =>
{
    document.title = `📦 ${мир.редактируемыйМодуль.имя}`;
};


// // // //


ЗадатьЗаголовок = мир =>
{
    $(`#${мир.макет.константы.заголовокЛево}`).html(`
<span class="uk-navbar-item uk-logo">📦 ${мир.редактируемыйМодуль.имя}</span>
    `);
};


// // // //


УведомитьОбОшибкеЗагрузкиСодержимогоРедактируемогоМодуля = мир =>
{
    var сообщение = "ОШИБКА Не удалось загрузить редактируемый модуль из хранилища бразуера | ERROR The module to be edited couldn't be loaded from the browser's storage";
    console.error(сообщение);
    console.error(мир.указатель);
    /*
    $(`#${мир.макет.константы.содержимое}`).html(`
<div class="ошибка">
    <p>${сообщение}</p>
    <p>${мир.указатель}</p>
</div>
    `);
    */
};


// // // //


ЗагрузитьСодержимоеРедактируемогоМодуля = мир =>
{
    // Пропускаем загрузку, если содержимое уже присутствует.
    if (мир.редактируемыйМодуль.содержимое)
    {
        мир.уведомить("загрузили содержимое");
        return;
    }

    // Загружаем содержимое.
    мир.модули.загрузилиСодержимоеСохранённогоМодуля.подписатьРаз(function() {
        мир.уведомить("загрузили содержимое");
    });
    мир.модули.неЗагрузилиСодержимоеСохранённогоМодуля.подписатьРаз(function() {
        мир.уведомить("не загрузили содержимое");
    });
    мир.модули.загрузитьСодержимоеСохранённогоМодуля(мир.указатель);
};


// // // //


ПродолжитьЗагрузку = мир =>
{
    мир.уведомить("загрузили содержимое");
};


// // // //


ЗадатьПараметрМодуляОсновойГлавреда = мир =>
{
    задатьПараметрВСтрокеПоиска("📦", мир.редактируемыйМодуль.указатель);
};


// // // //


НазначитьРедактируемымМодульОсновыГлавреда = мир =>
{
    мир.редактируемыйМодуль = мир.модули.модульПоИмени(ИМЯ);
};


// // // //


ПроверитьНаличиеРедактируемогоМодуля = мир =>
{
    мир.редактируемыйМодуль = мир.модули.модульПоУказателю(мир.указатель);
    if (мир.редактируемыйМодуль)
    {
        мир.уведомить("редактируемый модуль существует");
    }
    else
    {
        мир.уведомить("редактируемый модуль не существует");
    }
};


// // // //


РазобратьПараметры = мир =>
{
    мир.указатель = null;
    мир.файл = null;

    var параметры = new URLSearchParams(window.location.search);
    for (var имя of параметры.keys())
    {
        var значение = decodeURI(параметры.get(имя));
        var имя = decodeURI(имя);
        if (имя == "📦")
        {
            мир.указатель = значение;
        }
    }
};


// // // //


ЗапуститьМодулиГлавреда = мир =>
{
    мир.уведомить("пуск модулей главреда");
};

